RedCrawler API
Scrape V1

Bulk Posts by ID V1

Bulk fetch posts. Accepts any mix of URLs, stripped IDs, or t3_ prefixed IDs. Up to 1500 per call. SFW only — use V2 for NSFW.

POST /api/v1/batch/content

Bulk fetch posts. Accepts any mix of URLs, stripped IDs, or t3_ prefixed IDs. Up to 1500 per call. SFW only — use V2 for NSFW.

Body parameters

NameTypeRequiredDescription
idsstringYesComma-separated post identifiers. Accepts full URLs (https://reddit.com/r/sub/comments/abc123), stripped IDs (abc123), or t3_ prefixed (t3_abc123). Up to 1500. SFW only — use V2 for NSFW.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/batch/content" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/batch/content", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/batch/content"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "ids": "t3_1sys4r2,t3_1sys51u,t3_1sys5kz"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "items": [
      {
        "subreddit": "test",
        "selftext": "image post body",
        "author_fullname": "t2_exampleu",
        "saved": false,
        "gilded": 0,
        "clicked": false,
        "title": "image post",
        "link_flair_richtext": [],
        "subreddit_name_prefixed": "r/test",
        "hidden": false,
        "link_flair_css_class": null,
        "downs": 0,
        "thumbnail_height": 140,
        "hide_score": true,
        "name": "t3_1sys4r2",
        "quarantine": false,
        "link_flair_text_color": "dark",
        "upvote_ratio": 1.0,
        "author_flair_background_color": null,
        "ups": 1,
        "total_awards_received": 0,
        "media_embed": {},
        "thumbnail_width": 140,
        "is_original_content": false,
        "secure_media": null,
        "is_reddit_media_domain": true,
        "is_meta": false,
        "category": null,
        "secure_media_embed": {},
        "link_flair_text": null,
        "score": 1,
        "is_created_from_ads_ui": false,
        "author_premium": false,
        "thumbnail": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "edited": false,
        "author_flair_css_class": null,
        "author_flair_richtext": [],
        "gildings": {},
        "post_hint": "image",
        "content_categories": null,
        "is_self": false,
        "created": 1777449032.0,
        "link_flair_type": "text",
        "removed_by_category": null,
        "author_flair_type": "text",
        "domain": "i.redd.it",
        "allow_live_comments": false,
        "selftext_html": "<!-- SC_OFF --><div class=\"md\"><p>image post body</p>\n</div><!-- SC_ON -->",
        "likes": null,
        "suggested_sort": null,
        "url_overridden_by_dest": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "archived": false,
        "is_crosspostable": false,
        "pinned": false,
        "over_18": false,
        "preview": {
          "images": [
            {
              "source": {
                "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
                "width": 1680,
                "height": 2520
              },
              "resolutions": [
                {
                  "url": "\u2026",
                  "width": "\u2026",
                  "height": "\u2026"
                },
                {
                  "url": "\u2026",
                  "width": "\u2026",
                  "height": "\u2026"
                },
                "\u2026 (4 more items)"
              ],
              "variants": {},
              "id": "xdjc0ooi43yg1"
            }
          ],
          "enabled": true
        },
        "all_awardings": [],
        "spoiler": false,
        "locked": false,
        "author_flair_text": null,
        "visited": false,
        "removed_by": null,
        "distinguished": null,
        "subreddit_id": "t5_examples",
        "author_is_blocked": false,
        "link_flair_background_color": "",
        "id": "1sys4r2",
        "author": "Motor_Tip8865",
        "num_comments": 0,
        "send_replies": true,
        "contest_mode": false,
        "author_flair_text_color": null,
        "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "stickied": false,
        "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "subreddit_subscribers": 41527,
        "created_utc": 1777449032.0,
        "num_crossposts": 0,
        "media": null,
        "is_video": false
      },
      {
        "subreddit": "test",
        "selftext": "test text body",
        "author_fullname": "t2_exampleu",
        "saved": false,
        "gilded": 0,
        "clicked": false,
        "title": "test text post",
        "link_flair_richtext": [],
        "subreddit_name_prefixed": "r/test",
        "hidden": false,
        "link_flair_css_class": null,
        "downs": 0,
        "thumbnail_height": null,
        "hide_score": true,
        "name": "t3_1sys4r2",
        "quarantine": false,
        "link_flair_text_color": "dark",
        "upvote_ratio": 1.0,
        "author_flair_background_color": null,
        "ups": 1,
        "total_awards_received": 0,
        "media_embed": {},
        "thumbnail_width": null,
        "is_original_content": false,
        "secure_media": null,
        "is_reddit_media_domain": false,
        "is_meta": false,
        "category": null,
        "secure_media_embed": {},
        "link_flair_text": null,
        "score": 1,
        "is_created_from_ads_ui": false,
        "author_premium": false,
        "thumbnail": "self",
        "edited": false,
        "author_flair_css_class": null,
        "author_flair_richtext": [],
        "gildings": {},
        "content_categories": null,
        "is_self": true,
        "created": 1777449060.0,
        "link_flair_type": "text",
        "removed_by_category": null,
        "author_flair_type": "text",
        "domain": "self.test",
        "allow_live_comments": false,
        "selftext_html": "<!-- SC_OFF --><div class=\"md\"><p>test text body</p>\n</div><!-- SC_ON -->",
        "likes": null,
        "suggested_sort": null,
        "archived": false,
        "is_crosspostable": false,
        "pinned": false,
        "over_18": false,
        "all_awardings": [],
        "spoiler": false,
        "locked": false,
        "author_flair_text": null,
        "visited": false,
        "removed_by": null,
        "distinguished": null,
        "subreddit_id": "t5_examples",
        "author_is_blocked": false,
        "link_flair_background_color": "",
        "id": "1sys51u",
        "author": "Motor_Tip8865",
        "num_comments": 0,
        "send_replies": true,
        "contest_mode": false,
        "author_flair_text_color": null,
        "permalink": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "stickied": false,
        "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/",
        "subreddit_subscribers": 41527,
        "created_utc": 1777449060.0,
        "num_crossposts": 0,
        "media": null,
        "is_video": false
      }
    ],
    "count": 2,
    "input_count": 2,
    "batches": 1
  },
  "error": null,
  "timestamp": "2026-04-29T08:58:40.996567+00:00"
}

On this page